pqxx::inclusive_bound< TYPE > Class Template Reference

An inclusive boundary value to a pqxx::range. More...

`#include <range.hxx>`

## Public Member Functions

| inclusive_bound ()=delete
constexpr | inclusive_bound (TYPE const &value)
constexpr TYPE const & | get () const &noexcept
constexpr bool | extends_down_to (TYPE const &value) const noexcept(noexcept(value< m_value))
| Would this bound, as a lower bound, include value?
constexpr bool | extends_up_to (TYPE const &value) const noexcept(noexcept(value< m_value))
| Would this bound, as an upper bound, include value?

## Detailed Description

template<typename TYPE>
class pqxx::inclusive_bound< TYPE >

An inclusive boundary value to a pqxx::range.

Use this as a lower or upper bound for a range if the range should include the value.

## Constructor & Destructor Documentation

## inclusive_bound() [1/2]

template<typename TYPE >

pqxx::inclusive_bound< TYPE >::inclusive_bound | ( |  | ) |

delete

## inclusive_bound() [2/2]

template<typename TYPE >

constexpr pqxx::inclusive_bound< TYPE >::inclusive_bound | ( | TYPE const & | value | ) |

explicit constexpr

## Member Function Documentation

## extends_down_to()

template<typename TYPE >

constexpr bool pqxx::inclusive_bound< TYPE >::extends_down_to | ( | TYPE const & | value | ) | const

constexpr noexcept

Would this bound, as a lower bound, include value?

## extends_up_to()

template<typename TYPE >

constexpr bool pqxx::inclusive_bound< TYPE >::extends_up_to | ( | TYPE const & | value | ) | const

constexpr noexcept

Would this bound, as an upper bound, include value?

## get()

template<typename TYPE >

constexpr TYPE const & pqxx::inclusive_bound< TYPE >::get | ( |  | ) | const &

constexpr noexcept

The documentation for this class was generated from the following file:

- range.hxx